Results 1 to 6 of 6

Thread: Knoppix 7.2.0 Iceweasel not accesible by Orca

  1. #1
    Junior Member
    Join Date
    May 2013
    Posts
    17

    Knoppix 7.2.0 Iceweasel not accesible by Orca

    Hi,

    I tested Knoppix 7.2.0 and discovered that Iceweasel is not accesible by Orca.

    After reading these:
    http://lists.debian.org/debian-acces.../msg00101.html
    http://lists.debian.org/debian-acces.../msg00150.html
    https://mail.gnome.org/archives/orca.../msg00320.html

    none of them worked:
    - install from repository iceweasel 10.x, 17.x or 21.x
    - download and install firefox from firefox.com
    - export GNOME_ACCESSIBILITY=1

    Any ideas?

    Thank you,
    Rares

  2. #2
    Junior Member registered user
    Join Date
    Dec 2002
    Location
    Germany
    Posts
    22

    orca/iceweasel communication broken

    Quote Originally Posted by rbenea View Post
    Hi,

    I tested Knoppix 7.2.0 and discovered that Iceweasel is not accesible by Orca.

    After reading these:
    http://lists.debian.org/debian-acces.../msg00101.html
    http://lists.debian.org/debian-acces.../msg00150.html
    https://mail.gnome.org/archives/orca.../msg00320.html

    none of them worked:
    - install from repository iceweasel 10.x, 17.x or 21.x
    - download and install firefox from firefox.com
    - export GNOME_ACCESSIBILITY=1

    Any ideas?

    Thank you,
    Rares
    Before the release, I tried to get iceweasel to talk with the current gnome 3.4 orca release using various tricks, environment variables and settings, but no luck.
    It seems that orca is currently very much bound to gnome-session, and some programs only work with orca if you start the full gnome desktop, and even there are many reports of instabilities on the accessibility mailing lists. After upgrading gnome-orca to the currentmost version, even the orca preferences window itself wasn't talking anymore.
    Unfortunately keeping the old version was not possible because of conflicts with GTK3 needed for many programs. So, I had to give up and just reduced the graphical programs that still worked with orca in the ADRIANE X-starter menu to make a release, that's why only the lxde desktop and libreoffice are listed there. GTK2 programs still work, and some of the GTK3 programs do, too, but not iceweasel.
    Hopefully, the situation improves with future updates in gnome-orca and at-spi2/atk.
    Regards -Klaus

  3. #3
    With my existing install of 7.0.5 finally failing, I decided to try getting firefox working with Orca in 7.2.0. adding oldstable to my sources.list and using Aptitude to downgarde gnome-orca, at-spi, and python-pyatspi to the oldest version available worked in getting Firefox back in the Graphical Programs menu and working with Orca. Can't say if this causes problems else where as Iceweasel is the only Graphical application I use. Did run into an issue with Orca's window hogging attantion until I uncheck the "show main window" option and restarting after installing to harddrive, but I got Iceweasel working with Orca in 7.2.0.

  4. #4
    Junior Member
    Join Date
    May 2013
    Posts
    17
    Dear Jeffery, how is the new, downgraded, setup working for you? Is the configuration stable? Did you have problems in running Firefox with Orca for long periods of time without rebooting?

  5. #5
    I would rate running Adriane 7.2.0 with the older versions of gnome-orca, at-spi, pythonpy-atspi and Adriane-x as being very stable. Orca does occasionally crash, forcing me to return to the Adriane Menu and restore my previous Iceweasel session, but no more often than it did on 7.0.5. It isn't the most newbie friendly solution, but I would recommend it to anyone with experience customizing the installed software set under Debian-based distros.

  6. #6
    Junior Member
    Join Date
    May 2013
    Posts
    17
    I am happy to announce a fix here: http://knoppix.net/forum/showthread....x-7-2&p=130558

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Dell PowerEdge R720 Server / 2x E5-2630 = 12 Cores / 16GB RAM / H710 picture

Dell PowerEdge R720 Server / 2x E5-2630 = 12 Cores / 16GB RAM / H710

$323.95



Dell PowerEdge R410 Server | 2x E5645 = 12-Cores | 32GB | SAS6i | 2x 300GB SAS picture

Dell PowerEdge R410 Server | 2x E5645 = 12-Cores | 32GB | SAS6i | 2x 300GB SAS

$248.95



Dell PowerEdge R620 Server | 2x 2.00GHz 12 Cores | 32GB | H710 | 146GB SAS picture

Dell PowerEdge R620 Server | 2x 2.00GHz 12 Cores | 32GB | H710 | 146GB SAS

$199.99



Dell PowerEdge R320 Server / E5-2430 2.2GHz 6 Cores / 8GB RAM / 4x Trays picture

Dell PowerEdge R320 Server / E5-2430 2.2GHz 6 Cores / 8GB RAM / 4x Trays

$214.95



Dell PowerEdge R720 8B SFF Server 2x E5-2620 2.0GHz 12 Cores 16GB RAM H310 picture

Dell PowerEdge R720 8B SFF Server 2x E5-2620 2.0GHz 12 Cores 16GB RAM H310

$274.99



Dell PowerEdge R710 2.5

Dell PowerEdge R710 2.5" 2U Server 2x X5670 2.93GHZ 12-Core 128gb 2xTrays Perc6i

$294.99



Dell PowerEdge R420 3.5

Dell PowerEdge R420 3.5" Server, 2x E5-2420 1.9GHz 6Core, 16GB, 4x Trays, H710

$199.99



Dell PowerEdge R720XD Server / 2x E5-2609 = 8 Cores / H710 / 16GB RAM / 2x Trays picture

Dell PowerEdge R720XD Server / 2x E5-2609 = 8 Cores / H710 / 16GB RAM / 2x Trays

$373.95



Dell PowerEdge R420 3.5

Dell PowerEdge R420 3.5" Server, 2x E5-2450 2.1GHz 8Core, 32GB, 2x 3TB, H710

$289.99



Dell PowerEdge R710 / 6-Bay 3.5

Dell PowerEdge R710 / 6-Bay 3.5" / 2x Intel Xeon / H200 / 2x 870W PSU / No HDD

$110.00